Bug 976448 - Icons in Quick Menu for Gateway are not displayed
Icons in Quick Menu for Gateway are not displayed
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: 6.0.0
Assigned To: Tihomir Surdilovic
Sona Mala
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 11:10 EDT by Sona Mala
Modified: 2014-08-06 16:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:10:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Video with steps to reproduce this bug (1.11 MB, video/webm)
2013-06-20 11:10 EDT, Sona Mala
no flags Details

  None (edit)
Description Sona Mala 2013-06-20 11:10:19 EDT
Created attachment 763493 [details]
Video with steps to reproduce this bug

Description of problem:
If you activate a gateway in the designer and move your mouse toward to any icon (bounding box is moving together with mouse) then all icons disappear.


Version-Release number of selected component (if applicable):
6.0.0 DR5 (Beta3)

How reproducible:
When you move a mouse if Gateway is active. Others flow elements have expected behaviour.


Steps to Reproduce (see attached video file):
1. activate gateway
2. move mouse toward to any icon

Actual results:
All icons disappear and never show again, even if you return bounding box to its place.

Expected results:
User is able to select any icon from menu.


Additional info:
It seems that event MouseUp is not catched and the designer think that user wants to move a gateway to another place. 
The attached video shows this bug and its workaround. 

Workaround:
1. activate gateway (click on desired gateway)
2. click on the gateway again (be careful about double click)

Results:
User is able to move the mouse wherever he likes. Bounding box and icons are still at the same place.
Comment 2 Kris Verlaenen 2013-08-26 12:11:24 EDT
It seems this issue is outdated
Comment 6 Sona Mala 2013-10-15 09:22:41 EDT
Verified for ER4

Note You need to log in before you can comment on or make changes to this bug.